function SplitSheet(SheetName,nSarc)
% function SplitSheet(SheetName,nSarc)
% Splits Sheet in nSarc equally sized Subsheets
% if nSarc<=1, inverse action:
%   then  sheets merge into single average sheet
% Because of getting new state variables,
% >> WriteSVarFiles >> is executed

global Par

Sheet = getfield(Par,{1},SheetName);% get sheet from Par structure
Sheet.nSarc= nSarc;%++++++
Sarc  = Sheet.Sarc;

FldSarc= {'ActivationDelay','Ef','LsRef','Ls0Pas','dLsPas','SfPas',...
    'Lsi0Act','LenSeriesElement','SfAct','vMax','TimeAct','TR',...
    'TD','C','CDot','CRest','Lsi','LsiDot'};
nSarc0=size(Sarc.Ef,2);

if nSarc==nSarc0; %no change
    Par=setfield(Par,{1},SheetName,Sheet);
    return; 
end; %escape for doing nothing

if nSarc>1; % splits one Sheet into n Patches
    %Parent properties
    Sarc.VWall= repmat( Sheet.VWall/nSarc,[1,nSarc]);
    Sarc.AmRef= repmat( Sheet.AmRef/nSarc,[1,nSarc]);
    Sarc.Am   = repmat( Sheet.Am   /nSarc,[1,nSarc]);
    Sarc.Cm   = repmat( Sheet.Cm          ,[1,nSarc]);
    for iField=1:length(FldSarc)
        Sarc.(FldSarc{iField}) = ...
            repmat(Sheet.Sarc.(FldSarc{iField}),[1,nSarc]);
    end
    fn= fieldnames(Sheet.Sarc.Adapt);
    for iField=1:length(fn)
        Sarc.Adapt.(fn{iField}) = ...
            repmat(Sheet.Sarc.Adapt.(fn{iField}),[1,nSarc]);
    end
    Sheet.Sarc= Sarc;
    
else % merge sub-sheets to a single sheet with average properties
%     if ~isfield(Sheet.Sarc,'Sarc'); return; end %if already 1 sheet
    Sarc=Sheet.Sarc; SarcAdapt=Sarc.Adapt;
    Sheet.VWall= sum(Sarc.VWall,2);
    Sheet.AmRef= sum(Sarc.AmRef,2);
    Sheet.Cm   = (Sarc.Cm*Sarc.VWall') ./ sum(Sarc.VWall,2);
    Sheet.Am   = sum(Sarc.Am,2);
    for iField=1:length(FldSarc)
        Sheet.Sarc.(FldSarc{iField}) = sum(Sarc.(FldSarc{iField})...
            * sparse(diag(Sarc.VWall)),2)/Sheet.VWall;
    end
    fn= fieldnames(SarcAdapt);
    for iField=1:length(fn)
        Sheet.Sarc.Adapt.(fn{iField}) = ...
            sum(Sarc.Adapt.(fn{iField})...
            * sparse(diag(Sarc.VWall)),2)/Sheet.VWall;
    end
end

Par=setfield(Par,{1},SheetName,Sheet);

% Initialization of Par.SVar and Par.SVarDot
WriteSVarFiles;
Par.SVar=[];
save Par Par; % Save file and SVar Files for new number of state variables
clear
return

